Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.jboss51
Class ClusterConfigTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.jboss51.ClusterConfigTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, ClusterConfigType<T>

    public class ClusterConfigTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, ClusterConfigType<T>

This class implements the `cluster-configType` xsd type

Original Documentation:

The cluster-config element allows to specify cluster specific settings.

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`ClusterConfigTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`ClusterConfigTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.lang.String` | `getBeanLoadBalancePolicy()` Returns the `bean-load-balance-policy` element
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.lang.String` | `getHomeLoadBalancePolicy()` Returns the `home-load-balance-policy` element
`java.lang.String` | `getLoadBalancePolicy()` Returns the `load-balance-policy` element
`java.lang.String` | `getPartitionName()` Returns the `partition-name` element
`java.lang.String` | `getSessionStateManagerJndiName()` Returns the `session-state-manager-jndi-name` element
`ClusterConfigType<T>` | `removeAllDescription()` Removes the `description` element
`ClusterConfigType<T>` | `removeBeanLoadBalancePolicy()` Removes the `bean-load-balance-policy` element
`ClusterConfigType<T>` | `removeHomeLoadBalancePolicy()` Removes the `home-load-balance-policy` element
`ClusterConfigType<T>` | `removeLoadBalancePolicy()` Removes the `load-balance-policy` element
`ClusterConfigType<T>` | `removePartitionName()` Removes the `partition-name` element
`ClusterConfigType<T>` | `removeSessionStateManagerJndiName()` Removes the `session-state-manager-jndi-name` element
`ClusterConfigType<T>` | `setBeanLoadBalancePolicy(java.lang.String beanLoadBalancePolicy)` If not already created, a new `bean-load-balance-policy` element with the given value will be created.
`ClusterConfigType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`ClusterConfigType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`ClusterConfigType<T>` | `setHomeLoadBalancePolicy(java.lang.String homeLoadBalancePolicy)` If not already created, a new `home-load-balance-policy` element with the given value will be created.
`ClusterConfigType<T>` | `setLoadBalancePolicy(java.lang.String loadBalancePolicy)` If not already created, a new `load-balance-policy` element with the given value will be created.
`ClusterConfigType<T>` | `setPartitionName(java.lang.String partitionName)` If not already created, a new `partition-name` element with the given value will be created.
`ClusterConfigType<T>` | `setSessionStateManagerJndiName(java.lang.String sessionStateManagerJndiName)` If not already created, a new `session-state-manager-jndi-name` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClusterConfigTypeImpl

    public ClusterConfigTypeImpl(T t,
                                 java.lang.String nodeName,
                                 org.jboss.shrinkwrap.descriptor.spi.Node node)

### ClusterConfigTypeImpl

    public ClusterConfigTypeImpl(T t,
                                 java.lang.String nodeName,
                                 org.jboss.shrinkwrap.descriptor.spi.Node node,
                                 org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setDescription

    public ClusterConfigType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Specified by:
    `setDescription` in interface `ClusterConfigType<T>`
  Returns:
    the current instance of `ClusterConfigType`

### setDescriptionList

    public ClusterConfigType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Specified by:
    `setDescriptionList` in interface `ClusterConfigType<T>`
  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `ClusterConfigType`

### removeAllDescription

    public ClusterConfigType<T> removeAllDescription()

  Removes the `description` element

  Specified by:
    `removeAllDescription` in interface `ClusterConfigType<T>`
  Returns:
    the current instance of `ClusterConfigType`

### getDescriptionList

    public java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Specified by:
    `getDescriptionList` in interface `ClusterConfigType<T>`
  Returns:
    list of `description`

### setPartitionName

    public ClusterConfigType<T> setPartitionName(java.lang.String partitionName)

  If not already created, a new `partition-name` element with the given value will be created. Otherwise, the existing `partition-name` element will be updated with the given value.

  Specified by:
    `setPartitionName` in interface `ClusterConfigType<T>`
  Returns:
    the current instance of `ClusterConfigType`

### removePartitionName

    public ClusterConfigType<T> removePartitionName()

  Removes the `partition-name` element

  Specified by:
    `removePartitionName` in interface `ClusterConfigType<T>`
  Returns:
    the current instance of `ClusterConfigType`

### getPartitionName

    public java.lang.String getPartitionName()

  Returns the `partition-name` element

  Specified by:
    `getPartitionName` in interface `ClusterConfigType<T>`
  Returns:
    the node defined for the element `partition-name`

### setHomeLoadBalancePolicy

    public ClusterConfigType<T> setHomeLoadBalancePolicy(java.lang.String homeLoadBalancePolicy)

  If not already created, a new `home-load-balance-policy` element with the given value will be created. Otherwise, the existing `home-load-balance-policy` element will be updated with the given value.

  Specified by:
    `setHomeLoadBalancePolicy` in interface `ClusterConfigType<T>`
  Returns:
    the current instance of `ClusterConfigType`

### removeHomeLoadBalancePolicy

    public ClusterConfigType<T> removeHomeLoadBalancePolicy()

  Removes the `home-load-balance-policy` element

  Specified by:
    `removeHomeLoadBalancePolicy` in interface `ClusterConfigType<T>`
  Returns:
    the current instance of `ClusterConfigType`

### getHomeLoadBalancePolicy

    public java.lang.String getHomeLoadBalancePolicy()

  Returns the `home-load-balance-policy` element

  Specified by:
    `getHomeLoadBalancePolicy` in interface `ClusterConfigType<T>`
  Returns:
    the node defined for the element `home-load-balance-policy`

### setSessionStateManagerJndiName

    public ClusterConfigType<T> setSessionStateManagerJndiName(java.lang.String sessionStateManagerJndiName)

  If not already created, a new `session-state-manager-jndi-name` element with the given value will be created. Otherwise, the existing `session-state-manager-jndi-name` element will be updated with the given value.

  Specified by:
    `setSessionStateManagerJndiName` in interface `ClusterConfigType<T>`
  Returns:
    the current instance of `ClusterConfigType`

### removeSessionStateManagerJndiName

    public ClusterConfigType<T> removeSessionStateManagerJndiName()

  Removes the `session-state-manager-jndi-name` element

  Specified by:
    `removeSessionStateManagerJndiName` in interface `ClusterConfigType<T>`
  Returns:
    the current instance of `ClusterConfigType`

### getSessionStateManagerJndiName

    public java.lang.String getSessionStateManagerJndiName()

  Returns the `session-state-manager-jndi-name` element

  Specified by:
    `getSessionStateManagerJndiName` in interface `ClusterConfigType<T>`
  Returns:
    the node defined for the element `session-state-manager-jndi-name`

### setBeanLoadBalancePolicy

    public ClusterConfigType<T> setBeanLoadBalancePolicy(java.lang.String beanLoadBalancePolicy)

  If not already created, a new `bean-load-balance-policy` element with the given value will be created. Otherwise, the existing `bean-load-balance-policy` element will be updated with the given value.

  Specified by:
    `setBeanLoadBalancePolicy` in interface `ClusterConfigType<T>`
  Returns:
    the current instance of `ClusterConfigType`

### removeBeanLoadBalancePolicy

    public ClusterConfigType<T> removeBeanLoadBalancePolicy()

  Removes the `bean-load-balance-policy` element

  Specified by:
    `removeBeanLoadBalancePolicy` in interface `ClusterConfigType<T>`
  Returns:
    the current instance of `ClusterConfigType`

### getBeanLoadBalancePolicy

    public java.lang.String getBeanLoadBalancePolicy()

  Returns the `bean-load-balance-policy` element

  Specified by:
    `getBeanLoadBalancePolicy` in interface `ClusterConfigType<T>`
  Returns:
    the node defined for the element `bean-load-balance-policy`

### setLoadBalancePolicy

    public ClusterConfigType<T> setLoadBalancePolicy(java.lang.String loadBalancePolicy)

  If not already created, a new `load-balance-policy` element with the given value will be created. Otherwise, the existing `load-balance-policy` element will be updated with the given value.

  Specified by:
    `setLoadBalancePolicy` in interface `ClusterConfigType<T>`
  Returns:
    the current instance of `ClusterConfigType`

### removeLoadBalancePolicy

    public ClusterConfigType<T> removeLoadBalancePolicy()

  Removes the `load-balance-policy` element

  Specified by:
    `removeLoadBalancePolicy` in interface `ClusterConfigType<T>`
  Returns:
    the current instance of `ClusterConfigType`

### getLoadBalancePolicy

    public java.lang.String getLoadBalancePolicy()

  Returns the `load-balance-policy` element

  Specified by:
    `getLoadBalancePolicy` in interface `ClusterConfigType<T>`
  Returns:
    the node defined for the element `load-balance-policy`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD